fix apt states

Bug #1448929 reported by Jonathan Riddell on 2015-04-27
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
libqapt (Ubuntu)
Undecided
Unassigned
Vivid
Undecided
Unassigned
Wily
Undecided
Unassigned

Bug Description

libqapt upstream has requested two fixes as SRU:
warn about state changes we cannot represent and exclude them from list
fix heldness state

http://quickgit.kde.org/?p=libqapt.git&a=commitdiff&h=9b134aed5d09731f914195f4c04c34d53e4b4098
http://quickgit.kde.org/?p=libqapt.git&a=commit&h=06fc79d435c3d906d651a60005f0a8f5572b696a

Jonathan Riddell (jr) wrote :

these make sure that the changesdialog in muon apps shows the right packages with the right states
http://i.imgur.com/Xhw3vmJ.jpg

Jonathan Riddell (jr) wrote :

libqapt (3.0.0-0ubuntu2.1) vivid uploaded, awaiting approval from ubuntu-sru

Jonathan Riddell (jr) wrote :

TEST CASE:
make sure bluedevil is installed, add unstable ppa, update cache, open muon-updater from terminal, output on terminal should include a warning about bluedevil being held but not reported as such

Hello Jonathan, or anyone else affected,

Accepted into vivid-proposed. The package will build now and be available in a few hours in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in libqapt (Ubuntu Vivid):
status: New → Fix Committed
tags: added: verification-needed
Jonathan Riddell (jr) wrote :

This failed to compile because of a pre-existing problem. I've uploaded 3.0.0-0ubuntu2.1 with a fix, awaiting approval from ~ubuntu-sru

Harald Sitter (apachelogger) wrote :

works as expected.

tags: added: verification-done
removed: verification-needed
Brian Murray (brian-murray) wrote :

I don't see how it can work as expected if the package -proposed failed to compile.

tags: added: verification-failed
removed: verification-done
Brian Murray (brian-murray) wrote :

Oh, I see there was no notification made that there was another upload of libqapt.

libqapt (3.0.0-0ubuntu2.2) vivid; urgency=medium

  * Add upstream_cmake-configure-kf5iconthemes.diff to fix compile

 -- Jonathan Riddell <<email address hidden> (jr: 79383) Tue, 28 Apr 2015 13:49:23 +0200

tags: added: verification-done
removed: verification-failed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libqapt - 3.0.0-4ubuntu2

---------------
libqapt (3.0.0-4ubuntu2) wily; urgency=medium

  * Add upstream_gstreamer-link.diff from upstream

 -- Jonathan Riddell <email address hidden> Tue, 28 Jul 2015 20:25:39 +0200

Changed in libqapt (Ubuntu Wily):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers